Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class FaultService

    java.lang.Object
      javax.xml.ws.Service
          com.atomikos.icatch.jaxb.wsc.v200410.FaultService

    @WebServiceClient(name="FaultService",
                      targetNamespace="http://schemas.xmlsoap.org/ws/2004/10/wscoor",
                      wsdlLocation="file:./resources/wsdl/wst/v200410/wscoor.wsdl")
    public class FaultService

extends javax.xml.ws.Service

This class was generated by the CXF 2.0-incubator Wed Jul 11 17:40:00 CEST 2007 Generated source version: 2.0-incubator

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.ws.Service
`javax.xml.ws.Service.Mode`

Constructor Summary
`FaultService()`
`FaultService(URL wsdlLocation, QName serviceName)`

Method Summary
`FaultPortType` | `getFaultPort()`

Methods inherited from class javax.xml.ws.Service
`addPort, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultService

    public FaultService(URL wsdlLocation,
                        QName serviceName)

### FaultService

    public FaultService()

Method Detail

### getFaultPort

    @WebEndpoint(name="FaultPort")
    public FaultPortType getFaultPort()

  Returns:
    returns FaultPort

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.